Overview
ATnotes

Introduction

Menus

  • Main
  • Note

Windows

  • Note
  • Calendar
  • Hide
  • Alarm
  • Send To
  • Settings
  • Search
  • Note List
  • Folder List

Miscellaneous

  • Copyright, License and Disclaimer
  • Version History
  • Frequently Asked Questions
  • Credits


Introduction

Right click on the ATnotes icon in the right area of the Taskbar to open the Main Menu.

Each note is displayed in a Note Window. Right click on a note to open the Note Menu.


Main Menu

To open the Main Menu right click on the ATnotes icon in the right area of the Taskbar.

New Note | Creates a new note with the selected layout. Also available by pressing the hotkey defined in the Keyboard section of the Settings or by left double clicking on the ATnotes icon in the Taskbar.
Paste Note | Pastes a new note from the clipboard with the selected layout. Also available by pressing the hotkey defined in the Keyboard section of the Settings.
Undo | Undoes the last Edit, Paste, Delete or Format Lines command from the Note Menu.
Note List | Opens the Note List.
Search | Searches for notes containing the specified text.
Send To | Sends a note to another computer in the local network.
Show Notes | Toggles the option to show or hide all Note Windows. If active all notes are shown unless they have been hidden individually with the Hide command from the Note Menu, if not active all notes are hidden.
Show Calendar | Toggles the option to show or hide the Calendar.
Always on Top | Toggles the option to keep all notes on top of other windows. If active all notes are always on top, if not active the Always on Top option from the Note Menu of the individual note is used.
Settings | Defines various Settings.
Help | Displays the help overview.
About | Displays information about ATnotes.
Exit | Exits ATnotes.


Note Menu

To open the Note Menu right click on a note.

Edit | Edits the note. Also available by left double clicking on the note.
Copy | Copies the note to the clipboard in the following formats: plain text, bitmap and layout (layout is only pasteable by ATnotes).
Paste | Pastes text and/or layout from the clipboard to the note.
Delete | Deletes the note.
Print | Prints the note.
Minimize | Minimizes the note to the first line of text.
Restore | Restores the note to fit the whole text.
Format Lines | Breaks long lines into new lines to fit the note size ratio specified in the Various section of the Settings.
Open | Opens URLs (http://www.sample.com), e-mail addresses (name@sample.com) or file shortcuts (c:\sample.txt) contained in the note using the associated program. If the path of a file shortcut contains blanks, you must put the file shortcut between double quotation marks.
Layout |
New Note | Creates a new note with the layout of this note.
Paste Note | Pastes a new note from the clipboard with the layout of this note.
List | Assigns a saved layout to the note. Layouts can be saved in the Layout section of the Settings.
Folder |
List | Assigns a folder to the note.
Edit | Edits the folders in the Folder List.
Hide | Hides or shows the note. A checkmark is displayed if the note is hidden.
Alarm | Sets or removes an Alarm. A checkmark is displayed if an alarm is set for the note.
Send To | Sends the note to another computer in the local network.
Always on Top | Toggles the option to keep the note on top of other windows.
Settings | Defines the appearance of the note in the Layout section of the Settings.
Received From | Computer name, name of sender and date/time if the note has been received from another computer.


Note Window

The Note Windows are displayed with the Show Notes command in the Main Menu.

To move a note to a different location left click inside the note and drag the note while holding down the left mouse button. Releasing the left mouse button finishes moving the note.

Notes can be resized in the same way as moving them except that the left click must occur at the border of the note.

You can select multiple notes by holding down the CTRL key while left clicking on the notes. Selected notes have a dotted border. It is possible to move but not to resize multiple notes at once.

Right clicking on a note displays the Note Menu. Not all commands in the note menu are available if multiple notes are selected.

To edit the text of a note left double click on the note or select Edit from the Note Menu. During editing press the ENTER key to open a new line, CTRL+A to select the whole text, CTRL+ENTER to save the note and ESC to cancel editing. Notes are saved automatically if they lose input focus (for example when you click outside the note). A right click during editing displays a context menu with various commands for text editing.

The following keys can be used if the note window has input focus (to set the input focus to a note click on it with the mouse cursor):

ENTER or E | Edits the current note.
C | Copies the selected note(s) to the clipboard.
V | Pastes from the clipboard to the current note.
DEL or D | Deletes the selected note(s). SHIFT+DEL bypasses recycle bin.
P | Prints the selected note(s).
SUBTRACT (-) or M | Minimizes the selected note(s) to the first line of text.
ADD (+) or R | Restores the selected note(s) to fit the whole text.
F | Formats the lines of the selected note(s).
H | Hides or shows the current note.
SPACE or A | Sets or removes an Alarm for the current note.
S | Sends the current note to another computer in the local network.
O | Toggles the option to keep the current note on top of other windows.
T | Defines the appearance of the selected note(s) in the Layout section of the Settings.


Calendar Window

The Calendar Window is displayed with the Show Calendar command in the Main Menu.

To move the calendar to a different location left click on the background of the title and drag the calendar while holding down the left mouse button. Releasing the left mouse button finishes moving the calendar.

The calendar can be resized in the same way as moving it except that the left click must occur at the border of the calendar. The number of displayed months varies depending on the size of the calendar.

Right clicking on the calendar displays a menu with commands to go to the current date, to copy the selected date to the clipboard and to toggle the "always on top" mode.

The appearance of the calendar can be customized in the Calendar section of the Settings. Days with active alarms are displayed bold if enabled in the Settings. Moving the mouse cursor over such a day displays the individual alarms.


Hide Window

The Hide Window is opened through the Hide command in the Note Menu and allows to hide or show selected notes.

  • Don't hide (makes hidden notes visible).
  • Hide until manually activated in Note List.
  • Hide until a specified date/time after which notes become visible automatically.


Alarm Window

The Alarm Window is opened through the Alarm command in the Note Menu and allows to set or remove an alarm for the selected note.

Check the option Activate alarm to set an alarm or uncheck it to remove an alarm.

The option Alarm expires sets an expiry date for the alarm (for example to limit the duration of a repeated alarm or to make sure a single alarm doesn't occur after the specified alarm time because your computer wasn't turned on at this time). If the expiry date has been reached the alarm is removed automatically without executing the alarm action. Additionally you can define whether to automatically delete the note when the alarm expires.

Alarm Type

Keep note | Keeps the note after alarm.
Delete note | Deletes the note automatically after alarm.
Repeat every | Repeats the alarm every specified number of minutes/hours/days/weeks/months/years.
Repeat daily | Repeats the alarm on the specified weekdays at the specified time.

Alarm Action

Message box | Displays a message box with the note text which must be confirmed. This message box also includes options to remind again in a specified number of minutes and to change the alarm settings.
Bring to top | Brings the note to the top of all other windows and flashes the note. Click on the note with the mouse to stop flashing.
Run | Runs the specified file. This can be a program file or any other file which has an associated program.

Alarm Audio Signal

None | No audio signal.
Standard | Standard signal with computer speaker. No sound card required.
Sound file | Plays the specified sound file (*.wav). Sound card required. The option Repeat plays the sound repeatedly until the alarm has been confirmed.


Send To Window

The Send To Window is opened through the Send To command in the Main Menu or Note Menu and allows to send a note to another computer in a local TCP/IP network.

You only can send notes to a computer where ATnotes is currently running. It is also necessary that this other computer accepts incoming notes and that it has the same port number, which can be defined in the Network section of the Settings.

Before you send a note you should enter your name in the Network section of the Settings into the field Name of sender. This makes it easier for the recipient to recognize the sender. Otherwise the recipient only gets the name of the sender's computer.

Computer name or IP address

This area contains the recipients of the note. Enter the computer name or IP address of the recipient into the edit field at the top. You can optionally define different port numbers for individual recipients by appending a colon and the port number right to the computer name. If you don't define a port number here, the port number from the Network section of the Settings is used. It is also possible to append an alias name by separating the alias name with a blank character (everything to the right of the first blank character in the recipient is ignored). If the computer name contains blank characters, put it between double quotation marks. Separate multiple recipients with commas.

The Browse button opens a window to browse the network neighborhood for available computers.

You can save often used recipients in the list below with the Add button. The currently selected (not checked) list item can be deleted with the Delete button. To edit an existing list item left double click on it. Reorder list items with Move Up and Move Down. The Refresh button checks the online availability of the computers in the list: green means online, red means offline. In other words: the delivery of the note will only succeed for green marked computers. Right clicking on an entry in the recipient list opens a menu to rename the entry and to refresh the online status of this single entry.

Text

This field contains the note text to be sent to the recipients. To insert a tab stop press CTRL+TAB (pressing TAB alone jumps out of the text field).

Send

To send the text to the specified recipients press the OK button. If a note cannot be delivered to a recipient an error message will be displayed. Any recipients which haven't received the note are still active in the Computer name or IP address area. This allows to retry sending by pressing the OK button once again. Recipients which successfully received the note are deleted from this area to prevent a second delivery of the note.


Settings Window

The Settings Window is opened through the Settings command in the Main Menu or Note Menu and allows to define several program settings. The settings are divided into the following sections:

  • Layout
  • New Notes
  • Keyboard
  • Network
  • Calendar
  • Various
  • Translation

Layout

Defines settings for the note layout. If the Settings Window has been opened from the Main Menu the settings apply to new notes, if it has been opened from the Note Menu they apply to this particular note.

Font | Defines the font of the note.
Text Color | Defines the text color of the note. Automatic sets the text color to black or white depending on which of these two colors provides the higher contrast to the background color.
Background Color | Defines the background color of the note if Gradient is set to None. Defines the start and end color of the gradient background if Gradient is set to Horizontal or Vertical.
Border Color | Defines the border color of the note. Automatic sets the border color equal to the background color.
Alignment | Sets the alignment of the note text to left, centered or right.
Gradient | Windows 2000/XP only:Defines the appearance of the note background: no gradient (= single background color), horizontal gradient or vertical gradient.
Desktop colors | The colors of the note are automatically adjusted to match the desktop colors.
Random colors | The background color of the note is set to a random color. Text and border colors are set to Automatic.
Random colors from list | The background color of the note is randomly set to one of the colors defined in the Color List window opened through the ... button. Text and border colors are set to Automatic.
Completely transparent color | Windows 2000/XP only: Makes the selected note color completely transparent. The resulting transparent area of the note is also "transparent" for mouse actions (the mouse actions are passed through to the underlying window). To access the note with the mouse you must click on a non transparent area (or access it through the Note List). This setting cannot be previewed.
Infinitely variable transparency | Windows 2000/XP only: Sets the transparency of the whole note infinitely variable from fully invisible to fully visible. This setting cannot be previewed.
Layout list | This list contains all saved layouts. To restore the settings of a saved layout select the desired item from the list.
Save | Saves the current layout settings. You will be asked for the name under which to save the layout. If the layout exists, it will be changed, otherwise a new layout is created.
Delete | Deletes the selected layout from the layout list. It is not possible to delete the standard layout.

New Notes

Defines settings for new notes.

Position | Specifies the left/top position where new notes are created.
Cascading | Specifies how much multiple new notes are indented to the right and bottom so that they don't overlap.
Minimize | Minimizes a new note automatically after editing.
Alarm window | Opens the Alarm Window for the new note automatically after editing.
Folder | Specifies the folder for new notes. Folders can be edited in the Folder List.
Initial text | Defines the initial text for new notes. You can enter the desired text in the edit box. Special options for the current date/time and the desired cursor position can be inserted by pressing the Insert button and selecting the desired item.

Keyboard

Defines hotkeys for various commands. These hotkeys are systemwide, which means that they are active even if you are working with other programs than ATnotes. To assign a hotkey set the cursor into the field of the desired hotkey and press the key combination you want to use. The field now displays the keys you have pressed. If you want to include the WINDOWS key in the hotkey you must activate the option on the right side (the WINDOWS key cannot be assigned in the field on the left side).

Network

Defines settings for sending/receiving notes to/from other computers in the local network.

Accept | Accept or don't accept incoming notes from other computers.
Always on top | Sets incoming notes to be on top of all other windows or not.
Layout | Specifies the layout for incoming notes. Layouts can be defined in the Layout section of the Settings window.
Folder | Specifies the folder for incoming notes. Folders can be edited in the Folder List.
Port number | Sets the port number. Only computers with the same port number can receive/send notes from/to each other.
Name of sender | Defines the name of the note sender which helps the recipient to identify the sender (if not defined the recipient only gets the computer name of the sender).
Audio signal | Defines the audio signal to occur when a note from another computer comes in.

Calendar

Defines settings for the appearance of the calendar.

Font | Defines the font of the whole calendar.
Background color | Defines the background color outside of months.
Background color month | Defines the background color inside of months.
Text color month | Defines the text color of days from the current month.
Text color other months | Defines the text color of days from the previous/next month.
Background color title | Defines the background color of the month's title.
Text color title | Defines the text color of the month's title.
Completely transparent color | Windows 2000/XP only:Makes the selected calendar color completely transparent. The resulting transparent area of the calendar is also "transparent" for mouse actions (the mouse actions are passed through to the underlying window). To access the calendar with the mouse you must click on a non transparent area.
Infinitely variable transparency | Windows 2000/XP only:Sets the transparency of the whole calendar infinitely variable from fully invisible to fully visible.
Display week numbers | Displays the week numbers in each month.
Show today | Shows the current date at the bottom of the calendar.
Highlight today | Highlights the current day in the current month.
Highlight days with alarms | Displays days with active alarms bold. Moving the mouse cursor over such a day displays the individual alarms.

Various

Defines various more settings.

Launch ATnotes | Optionally launches ATnotes every time the computer starts up.
Display | The first two settings affect notes which are too small to display the whole text. This state can be indicated with a ">>" sign and the note can temporary be displayed in full size while the mouse cursor is over the note. Windows XP only: display the notes with a drop shadow, if the drop shadow is also enabled in the display settings of the Windows XP control panel. Enable/disable positioning of notes in visible screen area when screen resolution changes and notes would be outside of visible screen area. Enable/disable display of next alarm while moving mouse cursor over taskbar icon. The last setting allows to define the tab width in characters for the note text.
Edit | Defines the initial cursor position when editing: select the whole text or position cursor at top/bottom.
Delete | Defines whether to display a message box to confirm the deletion of single notes (the deletion of multiple notes must be confirmed always) and whether notes are deleted to the recycle bin or not.
Print | Print automatically to the default printer, in color if supported by printer, with or without note border and with a user defined zoom factor.
Paste | Always format lines when pasting note text. If not active lines are only formatted when the width of the note would exceed the screen width. Append pasted text to existing note text. If not active the pasted text replaces the existing note text.
Format lines | Defines the ratio between the note width and height which is used to break long lines into new lines.
Alarm | Defines the flash interval in millisec. for alarms with flashing notes. Also allows to set the time to announce an alarm in the taskbar icon before it actually goes off and the number of times to flash the taskbar icon on announcement.
Separator line | Specifies the separator line to use when exporting multiple notes to a text file or copying multiple notes to the clipboard.
Double click action | Defines the action for double clicks on the ATnotes icon in the task bar.
Menus | Defines whether to display the menus using Windows XP style and whether to flip the main menu for faster access of the most common menu items.
Files | Specifies the files used to store the notes and the recycle bin.

Translation

This section allows to determine the language of the user interface. To force the use of English or German select the appropriate option.

The option Default uses a customized translation file if present. If no such file exists, german will be used on german Windows versions and english on all other Windows versions. To create a customized translation left double click on an item in the list, enter the translated text and press ENTER to save the item. Don't delete or change formatting sequences starting with a percent sign (%) in the text. The translation is saved in the file ATnotes.ini located in the same directory like the program file ATnotes.exe.


Search Window

The Search Window is opened through the Search command in the Main Menu or Note List and allows to search for notes containing a specified text.

Enter the text to search for into the edit field (the last 16 searches are saved). The options below specify whether to search case sensitive and for whole words only.

After pressing the OK button the matching notes are displayed in the Note List. If there are no matching notes a corresponding message box is displayed.


Note List Window

The Note List Window is opened through the Note List command in the Main Menu.

Folders

Today | Contains notes with an active Alarm for today or hidden notes which will become visible today.
All Folders | Contains all notes from No Folder and User Folders.
No Folder | Contains notes without an assigned folder.
User Folders | Contains notes assigned to the appropriate user folder. User folders can be customized in the Folder List.
Recycle Bin | Contains deleted notes. All deleted notes are displayed with the same layout which can be specified through the Layout command in the Note Menu. To restore a deleted note select Restore To in the Note Menu.

The number of notes in a folder is displayed in parentheses right to the folder name.

Mouse Usage

Left click on a column header to sort the notes. Left click on the same column header again to toggle between ascending and descending sort order. Select a single note by clicking on it. Select multiple notes by holding down the SHIFT or CTRL key while clicking on the notes (like multiple file selection in Windows Explorer). Right click to get the Note Menu for the selected note(s). Left double click on a note to edit the note.

Keyboard Usage

ARROW UP/DOWN | Goes to the previous/next note.
PAGE UP/DOWN | Goes to the previous/next page.
HOME/END | Goes to the first/last note.

In addition you can use the keys available for Note Windows.

File Menu

Export | Exports the selected notes to an ATnotes file (*.atn) or to a text file (*.txt).
Import | Imports (appends) new notes from an ATnotes file (*.atn).
Close | Closes the Note List Window.

View Menu

All Notes | Shows all notes.
Visible Notes | Shows only visible notes.
Hidden Notes | Shows only hidden notes.
Notes with Alarm | Shows only notes with an active alarm.
Received Notes | Shows only notes received from other computers.
Search Notes | Shows notes containing the specified text.
Normal | Shows notes in their current size.
Minimized | Shows notes minimized.
Restored | Shows notes restored.

Edit Menu

Select All | Selects all notes.
Reverse Selection | Reverses the current selection.
Folder List | Edits the user folders in the Folder List.

Note Menu

This is the same Note Menu as shown when right clicking on a note.

Options Menu

Toolbar | Shows/hides the toolbar.
Statusbar | Shows/hides the statusbar.
Settings | Defines various settings for the note list window: which note list columns to display, color for alternating rows of notes and whether to display large or small icons for the folders.


Folder List Window

The Folder List Window is opened through the Folder Edit command in the Note Menu or through the Edit Folder List command in the Note List. This window allows to customize the folders used for organizing the notes in the Note List.

The list on the left side shows all existing folders. To create a new folder press the New button. Then enter the folder name and press ENTER to save it. To delete or rename a folder select the desired folder from the list and press the related button. The buttons Move Up and Move Down change the order of the selected folder.


Copyright, License and Disclaimer

Except where otherwise noted, all of the documentation and software included in ATnotes is copyrighted by Thomas Ascher.

Copyright © 1996-2004 Thomas Ascher. All rights reserved.

You are allowed to freely use and distribute ATnotes for both private and commercial use, but you are not allowed to sell ATnotes for profit.

This software is provided "as-is", without any express or implied warranty. In no event shall the author be held liable for any damages arising from the use of this software.

Thomas Ascher
thomasascher@hotmail.com
http://atnotes.fr.st


Version History
9.41 26-Feb-2004
  • Settings Window:
    • Various: new setting to optionally launch ATnotes every time the computer starts up (ATnotes is no longer launched from the startup group)
  • Note Window:
    • removed wrong dotted focus rectangle from note, if the user clicks outside the note during editing
  • Calendar Window:
    • open windows are no longer covered by the calendar, if the calendar is always on top
9.4 10-Nov-2003
  • Note Window:
    • all note commands are now available through the keyboard if the note has input focus
    • notes keep input focus after an ATnotes window has been opened from the note menu
    • pressing CTRL+A during editing selects the whole note text
  • Send To Window:
    • right clicking on an entry in the recipient list opens a menu to rename the entry and to refresh the online status of this single entry
    • optionally define different port numbers for individual recipients by appending a colon and the port number right to the computer name
  • Settings Window:
    • Translation: new options for english, german or default language
  • Calendar Window:
    • the right click context menu now has a new item for the calendar settings
9.3 07-Mar-2003
  • Settings Window:
    • Layout: new settings for gradient note background
    • Calendar: new setting to optionally display active alarms
    • Various: optionally disable positioning of notes in visible screen area if screen resolution changes
  • Note List Window:
    • new window for note list settings in Options menu
    • optionally display small icons for folders
    • new optional list columns: "Alarm Expires" and "Folder"
  • Alarm Window:
    • new optional expiry date for alarms
  • Alarm Confirmation Window:
    • customize the number of minutes when to remind again
9.2 12-Nov-2002
  • new main menu item to show/hide the desktop calendar
  • new settings section for the desktop calendar
  • notes outside of visible screen area are repositioned automatically
  • delayed display of next alarm while moving mouse cursor over taskbar icon
  • new high color icons
  • ATnotes should run under older Windows versions again
9.11 20-Sep-2002
  • new various setting to enable/disable display of next alarm while moving mouse cursor over taskbar icon
  • pressing the SHIFT key during note deletion bypasses the recycle bin
  • fixed absence of alarm confirmation message box
9.1 12-Aug-2002
  • support for Windows XP themes
  • new various setting to optionally display the notes with a drop shadow under Windows XP
  • new various setting to optionally append pasted text to existing note text
  • improved display of next alarm when mouse cursor is over taskbar icon
  • notes no longer disappear if the "Show Desktop" command is used
  • new help system
9.01 22-Feb-2002
  • Alarm Window:
    • new option to repeat the audio signal until the alarm has been confirmed
  • Note List Window:
    • removed wrong message "Delete selected notes?" when restoring notes from recycle bin
    • fixed display of wrong note menu when switching between recycle bin and other folders
    • deleting notes with the DEL key now also works in recycle bin
  • Settings Window:
    • inserting initial text in the "New Note" section by menu now works correctly
9.0 08-Feb-2002
  • Note List Window:
    • organize notes in customizable folders
    • view/restore deleted notes in/from recycle bin
    • view today's notes at a glance
  • Note Menu:
    • assign customizable folders to notes
  • Settings Window:
    • change saved layouts by saving again with existing name
    • set default folder for new and incoming notes
    • optionally delete notes to recycle bin
    • print notes with customizable zoom factor
    • optionally display menus in Windows XP style
    • optionally flip main menu
    • specify the files used to store notes and recycle bin
  • Search Window:
    • optionally search for whole words only
8.3 14-Dec-2001
  • Settings Window:
    • new layout setting for random colors from user defined color list
  • Send To Window:
    • fixed tab order (to insert a tab stop in the text field press Ctrl+Tab)
    • same context menu for text field as for notes during editing
    • list of computer names is saved when closing window without sending
    • computer names in list are editable by left double clicking on them
    • support for computer names with blank characters, if they are put between double quotation marks
  • Note List Window:
    • assigning saved layouts to notes now works correctly
    • last sort order is restored when opening the window
  • Main Menu:
    • the commands "New Note" and "Paste Note" are no longer displayed in a submenu if no saved layouts are present
8.21 09-Oct-2001
  • fixed absence of color options "Automatic" and "More Colors" in layout settings for languages other than german
8.2 02-Oct-2001
  • new color options in layout settings: automatically set text color to black or white depending on which provides the higher contrast to the background color, automatically set border color equal to background color
  • fixed program crash when using mouse wheel in various section of settings
8.1 29-Aug-2001
  • enhanced color selection in layout section of settings
  • added support for WINDOWS key in keyboard section of settings
  • note window and note list now support the following keys: ENTER = edit note, DEL = delete note, SUBTRACT (-) = minimize note, ADD (+) = restore note, SPACE = open alarm window
  • fixed wrong sort order in note list after changing view
8.01 20-Jul-2001
  • when trying to paste more than 2000 characters of text, a warning message is displayed that the text will be truncated
  • improved standard audio signal with computer speaker for Windows NT/2000 (disabled for Windows 95/98/ME)
  • fixed multiple sending of notes if the recipient has been specified both in the edit box and the recipient list
8.0 01-Jun-2001
  • save and restore layouts in the layout settings
  • quickly assign saved layouts to notes from the note menu
  • create and paste new notes with saved layouts from the main menu
  • specify a saved layout for incoming notes from other computers in the network settings
  • new network setting to make incoming notes "always on top"
  • browse the network neighborhood for computers in the "Send To" window
  • check the online availability of computers in the "Send To" window
  • new setup
7.4 13-Apr-2001
  • a taskbar button is now displayed for open ATnotes windows
  • new settings for new notes: automatically open alarm window after editing and specify the cursor position for initial text
  • new various settings define the time to announce an alarm in the taskbar icon before it actually goes off and the number of times to flash the taskbar icon on announcement
  • the next upcoming alarm is displayed when moving the mouse cursor over the ATnotes icon in the taskbar
  • fixed a program crash when using the select all/reverse selection commands in the note list window with no notes displayed
7.3 01-Mar-2001
  • new layout settings for Windows 2000: make a certain note color completely transparent and set the transparency of the whole note
  • fixed a note display problem caused by certain languages on Windows 2000
  • if ATnotes fails to add its icon to the taskbar at startup, ATnotes keeps on trying until success or until the user cancels in the displayed window
  • changed font used in ATnotes windows to Windows 2000 standard font "Tahoma
7.2 25-Jan-2001
  • new setting to minimize new notes automatically after editing
  • "remind again in X min." in alarm confirmation message box is now available for all alarm types
  • incoming notes from other computers are now displayed even if the "show notes" option is not activated
  • in Windows NT/2000 task manager there is no longer an entry displayed for each note
7.1 01-Dec-2000
  • the alarm confirmation message box now allows to change the alarm or to remind again in a specified number of minutes
  • new various setting to define the tab width for notes
  • new various setting to define the action for double clicks on taskbar icon
  • optional audio signal for incoming notes from other computers
7.01 18-Oct-2000
  • fixed a bug where incoming notes from other computers not always appeared in foreground
  • an error message is displayed if the Run alarm action and the Open command from the note menu fails
7.0 22-Sep-2000
  • send notes to other computers in a network
  • optional translation of user interface to other languages
  • new hotkeys for the Search and Send To commands
  • new layout setting to use random colors for new notes
  • added help support
  • added icons to menus
6.81 25-Aug-2000
  • fixed a bug where ATnotes used wrong times if the daylight saving flag was active in certain time zones
  • fixed a bug in the settings window where sometimes settings in the "various" section were lost when the OK button was pressed
6.8 11-Jul-2000
  • "copy" and "layout copy" in note menu are combined to a single command which copies the note as text, layout and bitmap
  • "paste" in note menu allows to choose the type of data to paste: text + layout, text only or layout only
  • extended "undo" command in main menu: undo edit, paste, delete and format lines on single or multiple notes
  • minimized notes automatically are reminimized after modification
  • new various setting to print notes without note border
  • view settings in the note list are saved and restored
  • notes cannot be modified if data file is set to readonly
6.71 13-Jun-2000
  • all hotkey combinations are now available in the keyboard section of the settings window
  • fixed failure of "select all" and "reverse selection" in the note list
6.7 26-May-2000
  • new alarm type: repeat alarm daily
  • new columns for alarm action and audio signal in note list
  • columns in note list can be activated and deactivated (menu options/columns)
  • new command line parameter for definition of data file (instead of default data file ATnotes.dat, e.g. "ATnotes.exe C:\MyDirectory\MyDataFile.xyz")
  • new various setting for flash interval in millisec. for alarms with flashing notes
6.63 09-May-2000
  • notes can be exported to a text file in the note list
  • new setting for separator line between notes when exporting to text file and copying to clipboard
  • insert file shortcuts while editing notes through the right click context menu
  • when turning off "always on top" from the main menu all notes are back on the desktop
  • remembers last time set in alarm and hide window
  • fixed a bug where program windows were covered by always on top notes
  • fixed a bug when opening file shortcuts with blanks in file path: put path between double quotation marks (")
6.62 11-Apr-2000
  • fixed a crash when trying to paste a new note longer than 2048 characters
  • new layout setting for use of desktop colors
6.61 07-Apr-2000
  • alarm action "bring to top" now hides a note which was hidden before the alarm correctly after flashing
  • if alarm type "delete note after alarm" and alarm action "bring to top" are specified at the same time the note now is deleted correctly after flashing
6.6 06-Apr-2000
  • new layout setting for left/centered/right alignment
  • various new settings for initial cursor position when editing and appearance of date selection calendar
  • alarm action "bring to top" now flashes the note (click on note to stop flashing)
  • every file type is now available for alarm action "run" (like the note command "open")
  • reorganized note hiding: all options are set in one window, new option to hide notes for a period of time
  • fixed a bug where auto expanding notes sometimes were covered by other windows
  • lines are broken only at spaces when formatting lines
6.5 24-Mar-2000
  • new option to display notes in full size while mouse cursor is over the note
  • user defined initial text for new notes
  • insert date/time during note editing through the right click context menu
  • notes with long lines of text can be formatted to fit a user defined note size ratio
  • new option to automatically format lines when pasting text from the clipboard
  • dotted selection rectangle is displayed only if a note has input focus
  • fixed a bug where sometimes unintentional new notes were created
6.0 02-Mar-2000
  • select multiple notes on the desktop by holding down CTRL key while left clicking on the notes
  • custom alarm action for each note: message box, bring note to top or run a program
  • different audio alarm signals for each note
  • export/import notes to/from a file in the note list
  • new options to view notes in the note list normal, minimized or restored
  • note list now has an optional toolbar
5.51 16-Feb-2000
  • new option to search notes case sensitive or not case sensitive
  • new search history contains the last 16 searches
  • new option to hide the note from alarm window
  • fixed a bug in repeated alarms, where multiple alarm message boxes appeared if the next repeated alarm was before the current time
5.5 20-Jan-2000
  • search for notes containing a specified text
  • show/don't show all notes (independet from hiding individual notes)
  • new option to ask before deleting single notes
  • undo last deletion of a single note
  • alarm can be set to a specified period of time from now on
  • new option to indicate if not the whole note text fits in the current note size
5.4 05-Jan-2000
  • notes can be minimized to the first line of text
  • note size can be restored to fit the whole text
  • show all / visible / hidden / alarm notes in note list
  • select all notes and reverse note selection in note list
  • note list now has menus and a statusbar
  • new settings for printing: automatically use default printer, print in color
5.33 27-Dec-1999
  • multiple notes can be selected in note list for copying, deleting, printing and settings
  • improved printing: multiple notes, note border, color if supported by printer
  • tab stops are now inserted correctly when pressing the TAB key
5.32 17-Dec-1999
  • new hotkey for opening note list
  • pressing ENTER key in note list edits the selected note
  • fixed a bug where always on top notes covered new notes during editing
5.31 13-Dec-1999
  • increased time field width to fit times with AM/PM
  • made all fonts available for selection
5.3 10-Dec-1999
  • clicking outside the note during editing saves the note
  • notes remain visible when other ATnotes windows are opened
  • new option to make each note always on top separately
  • paste text from clipboard to an already existing note
  • copy/paste note layout to/from clipboard
  • create or paste new notes with the layout of an already existing note
  • open URLs, e-mail adresses and file shortcuts in notes with the associated program
  • additional settings define how much space to leave between cascading new notes
  • test audio signal in alarm settings
  • increased maximum text size from 1024 to 2048 characters
  • notes are also editable in the note list
5.2 30-Nov-1999
  • note list window displays all current notes
  • fixed a problem with aligning in languages with right-to-left reading order
5.1 17-Nov-1999
  • copy/paste note text to/from clipboard
  • always on top option
  • notes can be hidden
  • repeatable alarms
  • option for automatic deletion of note after alarm
  • additional option to signal alarm with computer speaker
  • new system-wide hotkeys to paste new notes and toggle always on top
5.0 05-Nov-1999
  • changed name from DeskNotes to ATnotes
  • custom layout for each note
  • custom system-wide hotkey to create new notes
  • custom wavesound playable at alarm
  • notes are stored in file instead of registry
4.6 28-Oct-1999
  • first public release


Frequently Asked Questions
  • Why the name ATnotes?
  • How do i upgrade to a newer version?
  • How do i set up multiple users on the same computer?
  • How do i backup/restore my notes?
  • Why do notes not stay on top after editing?
  • Why can't i send/receive notes to/from other computers?
  • Why do i get messages from my personal firewall?
  • Why do i get the message "Cannot add icon to taskbar!" at startup?
  • Why are notes not visible after the "Show Desktop" command?

Why the name ATnotes?

"AT" stands for my name Ascher Thomas.

How do i upgrade to a newer version?

Do not uninstall to upgrade to a newer version, you would lose all your settings. Simply install the new version into the same directory like the old version.

How do i set up multiple users on the same computer?

When you install ATnotes on a computer, ATnotes will be set up for the logged on user only. If another user logs on to this computer, you must manually specify different files for notes and recycle bin in the Various section of the Settings. You may also want to activate the option to launch ATnotes automatically every time the computer starts up.

How do i backup/restore my notes?

The files used to store the notes and the recycle bin are defined in the Various section of the Settings. To make a backup simply backup these files. To restore the backup files exit ATnotes and then copy them back to the original location.

Why do notes not stay on top after editing?

If you want to assign an alarm or other settings to a note after editing, save the note by pressing CTRL+ENTER. This way the note stays on top allowing immediate access to the note menu.

Why can't i send/receive notes to/from other computers?

Sending/receiving notes to/from other computers works only in a local TCP/IP network. In addition sender and recipient both must use the same port number and the recipient must accept incoming notes. These settings can be defined in the Network section of the Settings.

Why do i get messages from my personal firewall?

If you are using a personal firewall like ZoneAlarm, you may get a message like "ATnotes is trying to act as a server". This happens if ATnotes is configured to "listen" for incoming notes sended by ATnotes users from other computers. You can turn this feature (and the message from your personal firewall) off by unchecking the option Accept incoming notes in the Network section of the Settings.

Why do i get the message "Cannot add icon to taskbar!" at startup?

Sometimes when ATnotes is starting the Windows Taskbar is busy and does not respond to ATnotes' inquiry to add its icon to the taskbar. In this case the message "Cannot add icon to taskbar!" is displayed allowing the user to retry, ignore or cancel. Select "Retry" if the ATnotes icon has not been added to the taskbar yet or "Ignore" if you already can see the ATnotes icon in the taskbar.

Why are notes not visible after the "Show Desktop" command?

If you use the "Show Desktop" command either through the related button in the taskbar or by pressing WINDOWSKEY+D, the notes are not visible on the desktop. This happens because ATnotes has no chance to get notified when the deskop is shown this way and therefore no possibility to display its notes properly. If you want to view your notes, you can use WINDOWSKEY+M to minimize all open windows or the Always on Top option from the Main Menu.


Credits
  • Maarten Hoeben (maarten.hoeben@nwn.com) for the report control used in the Note List
  • PJ Naughter (http://www.naughter.com) for the treeoptions control used in the Settings
  • Brent Corkum (http://www.rocscience.com/~corkum) for the menus with icons
  • Giancarlo Iovino (giancarlo@saria.com) for the hyperlink control used in the about window
  • Jordan Russell (http://www.jrsoftware.org) for Inno Setup used to create the setup ATNSETUP.EXE
  • James White and Chris Maunder (http://www.codeproject.com) for the color selection control used in the Settings
  • Georges Kanaan (gkanaan@hotmail.com) for the splitable window used in the Note List
  • David Yuheng Zhao (yuheng_zhao@yahoo.com) for the Visual Styles helper functions
  • Joshua Heyer (shognine@yahoo.com) for the balloon window used to display the next alarm
  • Richard W. Jones (http://www.the-gog.org/icons) for the high color icons